=== debian/control ===
Source: ros-dashing-image-proc
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake-auto, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-cv-bridge, ros-dashing-image-geometry, ros-dashing-image-transport, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-rcutils, ros-dashing-sensor-msgs, ros-dashing-ros-workspace
Homepage: https://index.ros.org/p/image_proc/github-ros-perception-image_pipeline/
Standards-Version: 3.9.2

Package: ros-dashing-image-proc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-cv-bridge, ros-dashing-image-geometry, ros-dashing-image-transport, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-rcutils, ros-dashing-sensor-msgs, ros-dashing-ros-workspace
Description: Single image rectification and color processing.
